QGIS Application - Bug report #10107
OGR vector layer w/ protocol GeoJSON vanishes and gives OGR Error 4 when transformed
2014-04-23 02:10 PM - Stkeller -

Status: Closed

Priority: Normal

Assignee:

Category: Data Provider/OGR

Affected QGIS version:2.2.0 Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied: Resolution: not reproducable
Crashes QGIS or corrupls data: Copied to github as #: 18575
Description

These are the steps to reproduce the error:

1. Add "New Vector Layer..." with protocol GeoJSON (= OGRGeoJSON, set to EPSG:4326):
Example: http://tools.wmflabs.org/wiwosm/osmjson/getGeoJ SON.php?lang=de&#38;article=Hombrechtikon

=> GeoJSON is being displayed.

2. Set to any different CRS, like opening "Project > Options" and enable "CRS transformation":
=> OGRGeoJSON layer isn't displayed anymore
=> and puts following error into protocol/log: "OGRS Error 4: GeoJSON Driver doesn't support update”.

History

#1 - 2014-06-28 07:36 AM - Jiirgen Fischer
- Target version changed from Version 2.2 to Future Release - Lower Priority

#2 - 2015-06-04 03:30 PM - Jiirgen Fischer
- Category changed from Data Provider to Data Provider/OGR

#3 - 2016-10-07 03:46 AM - Even Rouault
- Status changed from Open to Feedback

The "http://tools.wmflabs.org/wiwosm/osmjson/getGeoJSON.php?lang=de&article=Hombrechtikon" URL no longer responds. Any way to reproduce this

issue ?

#4 - 2017-01-02 06:14 AM - Giovanni Manghi
- Resolution set to not reproducable
- Status changed from Feedback to Closed

Closing for lack of feedback, please reopen if necessary.
